Package org.apache.tapestry5.internal.translator

## Class BigTypesFormatter

- java.lang.Object
- - org.apache.tapestry5.internal.translator.BigTypesFormatter

- All Implemented Interfaces:
    `NumericFormatter`
  Direct Known Subclasses:
    `BigDecimalNumericFormatter`, `BigIntegerNumericFormatter`

      public abstract class BigTypesFormatter
      extends Object
      implements NumericFormatter

  Base class for parsing/formatting BigInteger and BigDecimal.
  Since:
    5.1.0.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DecimalFormatSymbols` | `symbols` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BigTypesFormatter​(DecimalFormatSymbols symbols)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Number` | `parse​(String clientValue)` | Parses a value from the client in a locale-specific way.
    `protected abstract Number` | `parseConvertedValue​(String converted)` |
    `String` | `toClient​(Number value)` | Formats a value for the client in a locale-specific way.
    `protected String` | `toString​(char ch)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### symbols

          protected final DecimalFormatSymbols symbols

  - ### Constructor Detail

    - #### BigTypesFormatter

          public BigTypesFormatter​(DecimalFormatSymbols symbols)

  - ### Method Detail

    - #### toString

          protected String toString​(char ch)

    - #### toClient

          public String toClient​(Number value)

      Description copied from interface: `NumericFormatter`
      Formats a value for the client in a locale-specific way.
      Specified by:
        `toClient` in interface `NumericFormatter`

    - #### parse

          public Number parse​(String clientValue)
                       throws ParseException

      Description copied from interface: `NumericFormatter`
      Parses a value from the client in a locale-specific way.
      Specified by:
        `parse` in interface `NumericFormatter`
      Throws:
        `ParseException`

    - #### parseConvertedValue

          protected abstract Number parseConvertedValue​(String converted)